Subject: [Sip] Comment on draft-ietf-sip-connect-reuse-04

From: Cullen Jennings <[email-masked]>
Date: Mon, 07 Nov 2005 15:53:44 -0800

Two issues...

This is very difficult to implement for most people. If you do a DNS lookup
of an A record, this requires you to get every IP address then look at your
alias to see if you have one that matches - and not do load balancing. This
is hard unless you have your own DNS resolve library which most people do
not.

Second, I don't think it works. If a server runs two virtual domain a.com
and b.com both on 1.2.3.4:5060 and use the TLS extended hello to separate
them, then if it connects to C as A.com, and later C wants to send a sips
message to B.com, it will deliver it over the connection to A.com which is
totally broken from a security point of view.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip